BEGIN taarilis

IF ~Global("TashiaArilistan","GLOBAL",2)
    Dead("taevil")~ THEN BEGIN 23
  SAY ~You have killed my perfect slave! How *dare* you!! I spent years searching for a way to accomplish this, and you slay her so easily!? You will pay dearly for your transgression, I swear!!~
  IF ~~ THEN DO ~SetGlobal("TashiaArilistan","GLOBAL",3)
                 ChangeAIScript("kensai",CLASS)
                 Enemy()
                 Attack(Player1)~ EXIT
END

IF ~Global("TashiaArilistan","GLOBAL",0)~ THEN BEGIN 0
  SAY ~Tashia?~
  IF ~~ THEN DO ~SetGlobal("TashiaArilistan","GLOBAL",1)~ EXTERN tashiaj c1
END

APPEND tashiaj
  IF ~~ THEN BEGIN c1
    SAY ~Yes, that's my name. Do I... oh my god... Arilistan!! <CHARNAME>, it's him!!~
    IF ~~ THEN EXTERN taarilis c2
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c2
  SAY ~Calm yourselves, friends. I'm not looking for any trouble...~
  IF ~~ THEN EXTERN tashiaj c3
END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c3
    SAY ~So you say!! Why should I believe you, after all that has happened!?~
    IF ~~ THEN EXTERN taarilis c4
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c4
  SAY ~Well, I have changed since you last saw me, believe it or not. When you disappeared, I started searching for you, and as luck would have it, I accidently stumbled upon an ancient, most sacred cave, which fortunately had a rather potent aura of restoration and healing magic contained within. The magic helped me regain my old personality. I am no longer the egotistic, evil bastard that you had come to know for the last few months...~ = ~I'm so sorry, Tashia... I had very little control of myself. I tracked you down in hopes that you would forgive the cruelties and pains that I have caused you.~
  IF ~~ THEN EXTERN tashiaj c5
END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c5
    SAY ~Aril... I have missed you so much! I have dreamt of the times we've spent together every night, hoping, praying that this moment would come! Oh, I am so happy! But... wait, why did you send Jarmis after me? He even tried to kill me!~
    IF ~~ THEN EXTERN taarilis c6
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c6
  SAY ~I am so sorry about that, Tashia! I sent him out shortly after you disappeared, commanding him not to return unless you were with him. I must say that I am surprised that he remained loyal for so long. Another would simply flee into the night.~
  IF ~~ THEN EXTERN tashiaj c7
END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c7
    SAY ~Ah, yes... that makes sense, I guess. Well, I accept your apology... but what are your plans now? Where are you headed off to?~
    IF ~~ THEN EXTERN taarilis c8
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c8
  SAY ~I was thinking of going southward, for now. We never did visit Calimport, remember? I miss those days so much! I am so sorry, Tashia. I wish I could turn back the clock.~ =
      ~So much time wasted! So many months! Who is this man you are travelling with, anyway? Do you have any plans right now? I would enjoy the presence of your company once more, for old time's sake...~
  IF ~~ THEN EXTERN tashiaj c9
END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c9
    SAY ~Oh, I am sorry. This is <CHARNAME>. You two have a lot in common.~
    IF ~~ THEN REPLY ~Hi.~ EXTERN taarilis c10
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c10
  SAY ~Pleased to meet ye, <CHARNAME>. I hope you treated my lass well?~
  IF ~~ THEN EXTERN tashiaj c11
END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c11
    SAY ~He did, Aril, he is a very nice person... and I would love to come with you!~
    IF ~~ THEN EXTERN taarilis c12
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c12
  SAY ~That's great! It will be just like the old times again... I will show you the cave I told you about - it's not far from the path I was going to take.~
  IF ~InParty("Mazzy")~ THEN EXTERN BMAZZY 13a
  IF ~!InParty("Mazzy")
      InParty("Valygar")~ THEN EXTERN VALYGARJ 13b
  IF ~!InParty("Mazzy")
      !InParty("Valygar")
      InParty("Jaheira")~ THEN EXTERN BJAHEIR 13c
  IF ~!InParty("Mazzy")
      !InParty("Valygar")
      !InParty("Jaheira")~ THEN GOTO 13d
END
END

APPEND BMAZZY
  IF ~~ THEN BEGIN 13a
    SAY ~I would recommend caution, Tashia. We have all heard about this man's history. He may be deceiving you for his own darker reasons.~
    IF ~InParty("Valygar")~ THEN EXTERN VALYGARJ 13b
    IF ~!InParty("Valygar")
        InParty("Jaheira")~ THEN EXTERN BJAHEIR 13c
    IF ~!InParty("Valygar")
        !InParty("Jaheira")~ THEN EXTERN taarilis 13d
  END
END

APPEND VALYGARJ
  IF ~~ THEN BEGIN 13b
    SAY ~This doesn't feel right, Tashia. Call it a hunch, but I don't believe that this man is telling us everything.~
    IF ~InParty("Jaheira")~ THEN EXTERN BJAHEIR 13c
    IF ~!InParty("Jaheira")~ THEN EXTERN taarilis 13d
  END
END

APPEND BJAHEIR
  IF ~~ THEN BEGIN 13c
    SAY ~I have an ill feeling about this. I am sensing Nature itself being repulsed by this man's presence.~
    IF ~~ THEN EXTERN taarilis 13d
  END
END

APPEND taarilis
IF ~~ THEN BEGIN 13d
  SAY ~<CHARNAME>, I would understand if you could not let her go, though I must express my sincere sorrow at the thought of a lonely road ahead.~
  IF ~~ THEN EXTERN tashiaj c14
END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c14
    SAY ~Please, <CHARNAME>?~
    IF ~~ THEN REPLY ~If you truly want to go, I will not hold you, Tashia.~ EXTERN tashiaj c15
    IF ~~ THEN REPLY ~What if he is decieving you again, have you thought of that?~ EXTERN tashiaj c16
  END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c15
    SAY ~Oh thank you!! I have dreamt of this moment for so long... Lead the way, Aril!~
    IF ~~ THEN EXTERN taarilis c17
  END
END

APPEND tashiaj
  IF ~~ THEN BEGIN c16
    SAY ~But look at him! I can *see* the creature that I loathed gone, with the man that I once knew back in place.~
    IF ~~ THEN EXTERN tashiaj 16b
  END
END

APPEND tashiaj
  IF ~~ THEN BEGIN 16b
    SAY ~I have to come along, <CHARNAME>... I owe him so much. The least I can do is travel with him once more.~
    IF ~~ THEN EXTERN tashiaj 16c
  END
END

APPEND tashiaj
  IF ~~ THEN BEGIN 16c
    SAY ~I wish I didn't have to do this, but I feel that I must...~
    IF ~~ THEN REPLY ~Alright, but don't say I didn't warn you if something happens.~ EXTERN taarilis c17
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c17
  SAY ~Oh, what a glorious day! Youth companions side by side once again, out on the road full of opportunities! Come, Tashia, I will tell you everything that has happened on the way.~
  IF ~~ THEN DO ~SetGlobal("TashiaArilistan","GLOBAL",1)
                 SetGlobal("TashiaDream","GLOBAL",1)
                 ActionOverride("tashia",GivePartyAllEquipment())
                 ActionOverride("tashia",LeaveParty())
                 ActionOverride("tashia",SetLeavePartyDialogFile())
                 ActionOverride("tashia",MoveToObjectFollow("taarilis"))
                 ActionOverride("tashia",EscapeArea())
                 EscapeArea()~ EXIT
END
END

APPEND taarilis
IF ~Global("TashiaArilistan","GLOBAL",1)~ THEN BEGIN c18
  SAY ~So, <CHARNAME>. You have come for your precious woman? Admirable. There's only one problem, you see.~ = ~You're too late.~
  IF ~~ THEN DO ~SetGlobal("TashiaArilistan","GLOBAL",2)~ EXTERN taevil c19
END
END

APPEND taevil
  IF ~Global("TashiaArilistan","GLOBAL",2)~ THEN BEGIN c19
    SAY ~(Tashia's face is completely blank. She regards you indifferently.) You fool... you should not have come...~
    IF ~~ THEN EXTERN taarilis c20
  END
END

APPEND taarilis
IF ~~ THEN BEGIN c20
  SAY ~Magnificent, is she not? The best part is her being fully under my control! Ha ha ha! A perfect slave!~
  IF ~~ THEN REPLY ~What have you done to her, fiend?~ GOTO c21
END
END

APPEND taarilis
IF ~~ THEN BEGIN c21
  SAY ~Oh, its rather simple, really. I ripped out her soul! Ha ha ha! What you see before you is the same Tashia you used to know... minus every little weakness that having a conscience and a mind of her own added! She tends to my every whim! Ha ha ha!~ = ~Well, enough chatter. Men, kill these fools!~
  IF ~~ THEN DO ~CreateVisualEffectObject("SPPLANAR",Myself)
JumpToPoint([1309.665])~ EXTERN taevil c22
END
END

APPEND taevil
  IF ~Global("TashiaArilistan","GLOBAL",2)~ THEN BEGIN c22
    SAY ~As you command, Master.~
    IF ~~ THEN DO ~ChangeAIScript("mage16c",CLASS)
Enemy()
PlaySound("VAMPP07")~ EXIT
  END
END
